ФорумРазработкаБазы данных → mysql50.sock и Database host port number

mysql50.sock и Database host port number

  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 1 июля 2010 г. 13:48

    Объясните пожалуйста , что это вообще такое?
    Я решил на локалку заисталировать Dolphin 7 , а зараза требует эти данные…

    phpinfo()
    mysql.default_host no value no value
    mysql.default_password no value no value
    mysql.default_port no value no value
    mysql.default_socket no value no value

    во время инсталяции требуется
    ______________________________________

    SQL file ./sql/v61.sql есть
    Database host name localhost есть
    Database host port number сука нет
    Database socket path блядь нет

    просто я первый раз сталкиваюсь с этим…
    Где взять этот mysql50.sock и как узнать этот порт?

  • VaseninM

    Сообщения: 2416 Репутация: N Группа: Адекваты

    Spritz 1 июля 2010 г. 13:55, спустя 6 минут 30 секунд

    пробуй
    порт 3306
    сокет гугли mysql50.sock + твоя ос
  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 1 июля 2010 г. 13:59, спустя 3 минуты 41 секунду

    3306 я пробовал
  • adw0rd

    Сообщения: 22905 Репутация: N Группа: в ухо

    Spritz 1 июля 2010 г. 14:21, спустя 22 минуты 42 секунды

    в my.cnf:
    socket = /tmp/mysql.sock

    в php.ini:
    mysql.default_socket = /tmp/mysql.sock
    adw/0
  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 1 июля 2010 г. 14:27, спустя 5 минут 46 секунд


    в my.cnf:
    socket = /tmp/mysql.sock

    в php.ini:
    mysql.default_socket = /tmp/mysql.sock


    а у меня там написано

    # Порт сервера.
    port = 3306
    socket = /tmp/mysql5.sock - нужно менять??

    А mysql.sock это файл? У меня его тут вообще нет…
  • Абырвалг

    Сообщения: 6476 Репутация: N Группа: Джедаи

    Spritz 1 июля 2010 г. 14:27, спустя 16 секунд

    Решил написать актуальную статью по установке седьмой версии дельфина.

    Для начала проверим требования дельфина. Т.е. будет ли способен работать дельфин на вашем хостинге. Dolphin требует наличия следующего:

       * Linux/Unix/Windows сервера
       * Права на запуск исполняемых файлов - 655 или executable (необходимо для ffmpeg.exe)
       * Root SSH доступ (необходим для установки RMS - если есть необходимость в нем)
       * PHP 4.3.6 (как минимальная версия)
       * MySQL 4.1.2 или выше
       * Библиотека GD, скомпилированная с TrueType шрифтами (для обработки фоток), или ImageMagick как альтернатива
       * Sendmail или Postfix
       * shell или другой интерфейс (сипанель) для установки Cron задач
       * 40MB дискового пространства и 1MB пространства базы данных MySQL для установки
       * 8MB дискового пространства и 50KB пространства базы данных MySQL на одного пользователя сайта (хотя, эти данные неточные, т.к. в любом случае это будет зависеть от того что будет делать пользователь на сайте - мож он любит видео заливать :)  )

    Далее - настройки PHP и его расширений (требования):

       * register_globals - On
       * safe_mode - Off
       * mbstring (установлен)
       * shell_exec - On
       * allow_url_include - Off (для php 5.2)
       * magic_quotes_gpc - On

    Далее, некоторые модули могут иметь свои требования:

       * facebook_connect - (phpversion >= 5)
       * forum (Orca) - (поддержка XSLT, DOM/XML)
       * open_social - (поддержка mysqli и JSON расширений)

    дайте таз
  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 1 июля 2010 г. 14:36, спустя 8 минут 11 секунд

    чет не работает, да еще такую ошибку выдает mysqlnd cannot connect to MySQL 4.1+ using old authentication
    Спустя 184 сек.

    Решил написать актуальную статью по установке седьмой версии дельфина.

    Для начала проверим требования дельфина. Т.е. будет ли способен работать дельфин на вашем хостинге. Dolphin требует наличия следующего:

       * Linux/Unix/Windows сервера
       * Права на запуск исполняемых файлов - 655 или executable (необходимо для ffmpeg.exe)
       * Root SSH доступ (необходим для установки RMS - если есть необходимость в нем)
       * PHP 4.3.6 (как минимальная версия)
       * MySQL 4.1.2 или выше
       * Библиотека GD, скомпилированная с TrueType шрифтами (для обработки фоток), или ImageMagick как альтернатива
       * Sendmail или Postfix
       * shell или другой интерфейс (сипанель) для установки Cron задач
       * 40MB дискового пространства и 1MB пространства базы данных MySQL для установки
       * 8MB дискового пространства и 50KB пространства базы данных MySQL на одного пользователя сайта (хотя, эти данные неточные, т.к. в любом случае это будет зависеть от того что будет делать пользователь на сайте - мож он любит видео заливать :)  )

    Далее - настройки PHP и его расширений (требования):

       * register_globals - On
       * safe_mode - Off
       * mbstring (установлен)
       * shell_exec - On
       * allow_url_include - Off (для php 5.2)
       * magic_quotes_gpc - On

    Далее, некоторые модули могут иметь свои требования:

       * facebook_connect - (phpversion >= 5)
       * forum (Orca) - (поддержка XSLT, DOM/XML)
       * open_social - (поддержка mysqli и JSON расширений)

    дайте таз

    да все есть это, только вот с этим мускуль траблы….
  • noDekra

    Сообщения: 90 Репутация: N Группа: Адекваты

    Spritz 1 июля 2010 г. 17:37, спустя 3 часа 1 минуту 42 секунды

    либо сокет либо порт, и то и то не надо.
  • noDekra

    Сообщения: 90 Репутация: N Группа: Адекваты

    Spritz 1 июля 2010 г. 17:44, спустя 6 минут 51 секунду

    решение твоей проблемы тут http://hinikato.blogspot.com/2009/09/php-530.html

    а вообще гугл ёпта(
  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 2 июля 2010 г. 2:20, спустя 8 часов 35 минут 39 секунд

    о0о0о я щас зашел в phpmyadmin,а там вообще все в ошибкакх. Ругается на eregi
    Видать это после установки доп. пакета к денверу произошло…
    Спустя 211 сек.
    обновился епт
  • VaseninM

    Сообщения: 2416 Репутация: N Группа: Адекваты

    Spritz 2 июля 2010 г. 2:28, спустя 8 минут 8 секунд


    Решил написать актуальную статью по установке седьмой версии дельфина.

    Для начала проверим требования дельфина. Т.е. будет ли способен работать дельфин на вашем хостинге. Dolphin требует наличия следующего:

       * Linux/Unix/Windows сервера
       * Права на запуск исполняемых файлов - 655 или executable (необходимо для ffmpeg.exe)
       * Root SSH доступ (необходим для установки RMS - если есть необходимость в нем)
       * PHP 4.3.6 (как минимальная версия)
       * MySQL 4.1.2 или выше
       * Библиотека GD, скомпилированная с TrueType шрифтами (для обработки фоток), или ImageMagick как альтернатива
       * Sendmail или Postfix
       * shell или другой интерфейс (сипанель) для установки Cron задач
       * 40MB дискового пространства и 1MB пространства базы данных MySQL для установки
       * 8MB дискового пространства и 50KB пространства базы данных MySQL на одного пользователя сайта (хотя, эти данные неточные, т.к. в любом случае это будет зависеть от того что будет делать пользователь на сайте - мож он любит видео заливать :)  )

    Далее - настройки PHP и его расширений (требования):

       * register_globals - On
       * safe_mode - Off
       * mbstring (установлен)
       * shell_exec - On
       * allow_url_include - Off (для php 5.2)
       * magic_quotes_gpc - On

    Далее, некоторые модули могут иметь свои требования:

       * facebook_connect - (phpversion >= 5)
       * forum (Orca) - (поддержка XSLT, DOM/XML)
       * open_social - (поддержка mysqli и JSON расширений)

    дайте таз

    бугага
  • Абырвалг

    Сообщения: 6476 Репутация: N Группа: Джедаи

    Spritz 2 июля 2010 г. 2:38, спустя 10 минут 31 секунду

    eregi в 5.3 или deprecated или removed, не помню
  • user_name

    Сообщения: 271 Репутация: N Группа: Кто попало

    Spritz 2 июля 2010 г. 3:03, спустя 24 минуты 20 секунд

    все норм теперь, просто обновил php криво))
    noDekra спасибо, помогло
  • noDekra

    Сообщения: 90 Репутация: N Группа: Адекваты

    Spritz 2 июля 2010 г. 6:45, спустя 3 часа 41 минуту 48 секунд

    не, не криво.. а просто обновил

    обновления не всегда проходят гладко, особенно если мажорная версия (5.2 -> 5.3 я считаю мажорной)
  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 2 июля 2010 г. 8:13, спустя 1 час 28 минут 53 секунды

    noDekra, да дело не в мажоре, а в том что это уже другое пхп почти)
    Сапожник без сапог

Пожалуйста, авторизуйтесь, чтобы написать комментарий!